Package org.apache.commons.math3.analysis.interpolation

# Class PiecewiseBicubicSplineInterpolator

java.lang.Object
org.apache.commons.math3.analysis.interpolation.PiecewiseBicubicSplineInterpolator

All Implemented Interfaces:
  `BivariateGridInterpolator`

public class PiecewiseBicubicSplineInterpolator extends Object implements BivariateGridInterpolator
Generates a piecewise-bicubic interpolating function.

Since:
  2.2

## Constructor Summary

Constructors
Constructor
Description
`PiecewiseBicubicSplineInterpolator()`

## Method Summary

Modifier and Type
Method
Description
`PiecewiseBicubicSplineInterpolatingFunction`
`interpolate(double[] xval, double[] yval, double[][] fval)`
Compute an interpolating function for the dataset.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PiecewiseBicubicSplineInterpolator

public PiecewiseBicubicSplineInterpolator()

## Method Details

### interpolate

public PiecewiseBicubicSplineInterpolatingFunction interpolate(double[] xval, double[] yval, double[][] fval) throws DimensionMismatchException, NullArgumentException, NoDataException, NonMonotonicSequenceException
Compute an interpolating function for the dataset.

Specified by:
  `interpolate` in interface `BivariateGridInterpolator`
Parameters:
  `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
  `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
  `fval` - The values of the interpolation points on all the grid knots: `fval[i][j] = f(xval[i], yval[j])`.
Returns:
  a function which interpolates the dataset.
Throws:
  `DimensionMismatchException` - if the array lengths are inconsistent.
  `NoDataException` - if any of the arrays has zero length.
  `NonMonotonicSequenceException` - if the array is not sorted.
  `NullArgumentException`